import { ExtractPropTypes } from 'vue';
import type Switch from './switch.vue';
export declare const switchProps: {
    readonly checkedLabel: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly checkedIcon: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly unCheckedLabel: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly unCheckedIcon: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
};
export type SwitchProps = ExtractPropTypes<typeof switchProps>;
export type SwitchInstance = InstanceType<typeof Switch>;
